# EtiMa

Arduino Programm für unsere EtiMa

  - Steuerung: Norvi Cema M1
    - [Quickstart Guide](https://industrial-arduino.com/wp-content/uploads/2018/11/Quick-Start-Guide-CEMA.pdf)
    - Display: OLED 0,96'
      - I2C, Adresse 0x3C
      - Controller: SSD1306
    - 6 Relais Ausgänge 5A 
      - Q.0 = D4
      - Q.1 = D12
      - Q.2 = D6
      - Q.3 = D8
      - Q.4 = D9
      - Q.5 = D10
    - 2 Transistorausgänge 0,5A 24V
      - T.0 = D5
      - T.1 = D13
    - 8 Digitale Eingänge 24 V
      - I.0 = D11 
      - I.1 = D7
      - I.2 = A5
      - I.3 = A4
      - I.4 = A3 
      - I.5 = A2
      - I.6 = A1
      - I.7 = A0
    - 3 Tasten 
      - Pfeil hoch = SCK
      - Pfeil runter = MOSI
      - Quadrat = MISO
    - Chip = ATMege 32u4
      - Programmierung Arduino
        - Adadfruit 1306 Library
        - Adafruit GFX library
        - Adafruit_BusIO library
        - EEPROM.h library
  - EtiMa: LT 50 (Von verschiedensten chinesischen Herstellern unter ähnlichem Namen)

Bei der in Deutschland gekauften Etiketiermaschine war trotz Metalgehäuse
kein Schutzleiter irgendwo angeschlossen. An der Kaltgerätebuchse war nichtmal
ein Kabel angeschlossen. Die Stromführenden Anschlüsse waren nicht isoliert, 
und die Steuerung in einem losen Metalgehäuse. Da die Steuerung nach einigen 
Minuten immer einen kurzen Aussetzer hat, wurde beschlossen die Steurung neu und
sicher aufzubauen. 
